wordpress-clients
pwa-hybrid

Updated 5 months ago

Welcome to v3

Thanks for choosing this Open Source project, here is the steps to follow to get your app running:

Preriquisites

  1. NodeJS >= 7
  2. Yarn
  3. Make sure your WordPress version is greater or equal to 4.7

  4. Install the following plugin on WordPress: https://wordpress.org/plugins/better-rest-api-featured-images/

Clone repository

git clone https://github.com/wordpress-clients/hybrid.git <yourAppName>

Open the project folder

cd <yourAppName>

List all versions

git tag

checkout the latest version available

git checkout <theLatestVersionHere>

Install dependencies

yarn

This could takes several minutes.

Run the development server

npm start

This should build the app, and open your default browser to http://localhost:8100/

You should now see the application working with the exact same configuration as the demo app https://wordpress-clients.github.io/hybrid

It is now time to configure the application for your WordPress REST Api!